Subject: Re: bug#7524: 24.0.50; backquote converts newlines in strings to "\n"

From: Stefan Monnier <[email-masked]>
Date: Mon, 06 Dec 2010 22:42:41 -0500

>> > Here is a more direct URL to the file:
>> > http://www.emacswiki.org/emacs/download/mouse3.el
>> > Even that you could argue only takes you to a download 
>> > action for the file.
>> 
>> No, it's a URL which Emacs accepts fine and it then shows me the
>> contents in the right mode and everything.

> Emacs Wiki deliberately has an HTML page as the entry point for each
> Lisp file.  That HTML page shows the Lisp code (with coloring no
> less), and it has a Download link for those who might want to download
> it.  All of that is for user convenience (e.g. preview before perhaps
> download).

> I happen to agree with that design, but you need not agree and are
> welcome to find it annoying.

I fully agree with this web-site design as well.  But when you post here
a link to source Elisp code, you should expect people to want to look at
it inside Emacs rather than inside a browser.  So you should send a URL
to the actual Elisp file, to to its HTML rendering.

And remember, it was just a nitpick.  You've blown it way out
of proportion.

        Stefan